Skip to main content
GET
/
projects
/
{project_reference}
/
webhooks
/
{webhook_definition_id}
/
runs
List Project Webhook Runs
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/webhooks/{webhook_definition_id}/runs \
  --header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "webhook_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "webhook_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "run_id": "<string>",
      "canonical_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "latest_event_id": 1,
      "status": "<string>",
      "duplicate": true,
      "error_code": "<string>",
      "error_message": "<string>",
      "invoked_by": "<string>",
      "received_at": "<string>",
      "completed_at": "<string>",
      "created_at": "<string>",
      "payload": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1
webhook_definition_id
string<uuid>
required

Response

Webhook runs

runs
object[]
required